Skip to main content

Version 3.0

Offer your customers the convenience of saving their cards to a secure digital wallet. This feature facilitates easier and more streamlined future payments. Additionally, tokenizing your customers' cards enables secure recurring and one-time payments, enhancing their payment experience.

VodaPay Gateway UAT
https://api.vodapaygatewayuat.vodacom.co.za/v3/
VodaPay Gateway Production
https://api.vodapaygateway.vodacom.co.za/v3/

Block wallet

This API call is used to temporarily block a specified customer's digital wallet entirely. This might need to be done because of possible fraud on the customer or for other similar reasons.

The merchant can temporarily block the whole digital wallet of a customer, preventing subsequent payments being made against any of the payment tokens in the digital wallet. While it is blocked, any API call using a payment token from within the blocked digital wallet will be declined. However, the digital wallet can be unblocked.

Request

POST /DigitalWallet/Block
{
"echoData": "123",
"traceId": "000000000001000001",
"customerId": "customer01"
}

Request Parameters

echoDatastringOptional

Any value that needs to be echoed back in the Echo Data element of the response message. This value will also be echoed in the resulting notification messages and the message posted to the callback URL. If unfilled, defaults to null over an empty string.